summaryrefslogtreecommitdiff
path: root/source3/autogen.sh
diff options
context:
space:
mode:
authorGerald Carter <jerry@samba.org>2003-02-10 17:30:20 +0000
committerGerald Carter <jerry@samba.org>2003-02-10 17:30:20 +0000
commita9f1ec0d6b1f8f98a75be5082dcd4dcd573564ee (patch)
tree9fa9141c1a59d745ff9e1eceb8246394608a4ac9 /source3/autogen.sh
parent0ad56b68a228ad289c54cc36a3f2b45980076cfc (diff)
downloadsamba-a9f1ec0d6b1f8f98a75be5082dcd4dcd573564ee.tar.gz
samba-a9f1ec0d6b1f8f98a75be5082dcd4dcd573564ee.tar.bz2
samba-a9f1ec0d6b1f8f98a75be5082dcd4dcd573564ee.zip
autogen - cope with autoconf-2.53/2.13 systems (like RH 7.3)
findsmb - use @PERL@ (This used to be commit 15853857299c0de37b9cb736bb99928526924608)
Diffstat (limited to 'source3/autogen.sh')
-rwxr-xr-xsource3/autogen.sh27
1 files changed, 22 insertions, 5 deletions
diff --git a/source3/autogen.sh b/source3/autogen.sh
index 28d1608287..a2228a6fd9 100755
--- a/source3/autogen.sh
+++ b/source3/autogen.sh
@@ -2,7 +2,11 @@
# Run this script to build samba from CVS.
-if which autoconf > /dev/null
+## first try the default names
+AUTOHEADER="autoheader"
+AUTOCONF="autoconf"
+
+if which $AUTOCONF > /dev/null
then
:
else
@@ -10,10 +14,23 @@ else
exit 1
fi
-echo "$0: running autoheader"
-autoheader || exit 1
+##
+## what version do we need?
+##
+if [ `$AUTOCONF --version | head -1 | cut -d. -f 2` -lt 53 ]; then
+
+ ## maybe it's installed under a different name (e.g. RedHat 7.3)
+
+ AUTOCONF="autoconf-2.53"
+ AUTOHEADER="autoheader-2.53"
+
+fi
+
+echo "$0: running $AUTOHEADER"
+$AUTOHEADER || exit 1
+
+echo "$0: running $AUTOCONF"
+$AUTOCONF || exit 1
-echo "$0: running autoconf"
-autoconf || exit 1
echo "Now run ./configure and then make."
exit 0